Subject: bug#21104: 25.0.50; relative paths are added to load-path without -nsl (bug#21104)

From: Eli Zaretskii <[email-masked]>
Date: Tue, 08 Dec 2015 19:40:58 +0200

> From: Andreas Schwab <[email-masked]>
> Cc: Glenn Morris <[email-masked]>,  [email-masked],  [email-masked],  [email-masked]
> Date: Tue, 08 Dec 2015 18:06:11 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > (Does anyone know why we call decode_env_path with last argument zero
> > in this case?  I don't see how that could make any sense here.)
> 
> In which way does that make a difference?  Both "." and nil mean the
> same thing, namely default-directory.

Maybe I'm blind, but my reading of the code in init_lread indicates
that it does make a difference:

          Lisp_Object sitelisp;
          sitelisp = decode_env_path (0, PATH_SITELOADSEARCH, 0);
          if (! NILP (sitelisp)) Vload_path = nconc2 (sitelisp, Vload_path);

My reading of this is that if we call decode_env_path with last
argument non-zero, it will return nil, and Vload_path will not be
modified by adding anything.  What am I missing?